{% extends 'layout.html.twig' %}

{% import 'macros.html.twig' as macros %}
{% import 'log/_navigation.html.twig' as nav %}

{% block content %}
  <h1>{{ 'log.action.list'|trans }}</h1>

  {{ form_start(form) }}
  <div class="row expanded collapse">
    <div class="medium-2 large-2 column">
      {{ form_widget(form.dateFrom) }}
    </div>
    <div class="medium-2 large-2 column">
      {{ form_widget(form.dateTo) }}
    </div>
    <div class="medium-2 large-1 column">
      {{ form_widget(form.username) }}
    </div>
    <div class="medium-2 large-1 column end">
      <button class="button secondary" type="submit">{{ 'common.filter'|trans }}</button>
    </div>
  </div>
  {{ form_end(form) }}

  <div class="row expanded collapse">
    <div class="large-8 column end">
      <table class="hover">
        <thead>
          <tr>
            <th width="10%">{{ 'log.entity.date'|trans }}</th>
            <th width="10%">{{ 'log.entity.username'|trans }}</th>
            <th width="60%">{{ 'log.entity.message'|trans }}</th>
            <th width="20%">{{ 'common.action'|trans }}</th>
          </tr>
        </thead>
        <tbody>
          {% for entity in entities %}
            <tr>
              <td>{{ entity.date|date(datetime_format) }}</td>
              <td>{{ entity.username }}</td>
              <td>{{ entity.message }}</td>
              <td>
                {{ nav.actions(entity, {'read': true}, false) }}
              </td>
            </tr>
          {% endfor %}
          {% if entities|length == 0 %}
            <tr>
              <td colspan="4">{{ 'common.noRecords'|trans }}</td>
            </tr>
          {% endif %}
        </tbody>
      </table>
    </div>
  </div>

  {{ macros.pagination(pagesCount, page) }}
{% endblock %}
